Package jxl.format

# Class BoldStyle

java.lang.Object
jxl.format.BoldStyle

Direct Known Subclasses:
  `BoldStyle`

public class BoldStyle extends Object
Enumeration class containing the various bold styles for data

## Field Summary

Fields
Modifier and Type
Field
Description
`static final BoldStyle`
`BOLD`
Emboldened style
`static final BoldStyle`
`NORMAL`
Normal style

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the string description of the bold style
`int`
`getValue()`
Gets the value of the bold weight.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NORMAL

public static final BoldStyle NORMAL
Normal style

### BOLD

public static final BoldStyle BOLD
Emboldened style

## Method Details

### getValue

public int getValue()
Gets the value of the bold weight. This is the value that will be written to the generated Excel file.

Returns:
  the bold weight

### getDescription

public String getDescription()
Gets the string description of the bold style